Package org.eclipse.birt.report.engine.api

# Interface ITOCTree

public interface ITOCTree
Represents a whole TOC tree.

## Method Summary

Modifier and Type
Method
Description
`TOCNode`
`findTOC(String tocId)`
Gets the TOCNode with the specified id.
`List`
`findTOCByValue(Object tocValue)`
Gets the TOCNodes with specified TOC value.
`TOCNode`
`getRoot()`
Gets the root node of a TOC tree.

## Method Details

### findTOC

TOCNode findTOC(String tocId)
Gets the TOCNode with the specified id. Root of the whole TOC tree will be returned if `tocId` is `null`.

Parameters:
  `tocNodeId` - the id of the toc.
Returns:
  TOCNode with specified Id. NULL if not found.

### findTOCByValue

List findTOCByValue(Object tocValue)
Gets the TOCNodes with specified TOC value.

Parameters:
  `tocValue` - the name of the toc.
Returns:
  List of all tocs with the specified name.

### getRoot

TOCNode getRoot()
Gets the root node of a TOC tree.

Returns:
  a TOCNode tree root.